unit BmTbMisc;

interface

uses
  WinTypes, WinProcs, Messages,
  Buttons, Classes, Controls, DsgnIntf, Forms, Graphics, SysUtils,
  ExplBtn;
   
const
  IdsNumVer = 'v1.0';

{  IdsBtnExist  = 'This button is already on your Toolbar!';
  IdsTrashDrop = 'Delete Drop';
  IdsConfigure = 'Configure';
  IdsBigBtn    = 'Big buttons';
  IdsShCaption = 'Show caption';}

  IdsBtnExist  = 'Ce bouton est dj prsent dans la barre d''outils!';
  IdsTrashDrop = 'Supprimer bouton';
  IdsConfigure = 'Configurer';
  IdsBigBtn    = 'Grands boutons';
  IdsShCaption = 'Etiquette texte';

  {ini entries, don't change these strings}
  IdsIniFontName    = 'Font.Name';
  IdsIniFontSize    = 'Font.Size';
  IdsIniBigBtn      = 'Btn.Big';
  IdsIniShowCaption = 'Caption.Show';

  BtnSize32     = 36;
  BtnSize16     = 20;
  BtnTop        = 2;
  BtnMargin     = 2;
  BtnMarginC    = 8;
  BtnSpace      = 2;
  ToolbarMargin = 10;

var
  {The 4 boolean variables are used as go-no go switches throughout the toolbar editing process}
  BmTB_Working,
  BmTB_ConfigTB,
  BmTB_SendFromPool,
  BmTB_TBChanged : boolean;

type
  {*********** tAboutMeProperty ************}
  TAboutMeProperty = class(TPropertyEditor)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
  end;

  {*********** tButtonInfo ************}
  tButtonInfo = class (tControl)
  private
    FCaption  : String;
    FBitmap16,
    FBitmap32 : tBitmap;
    FOnClick  : tNotifyEvent;
  protected
  public
    destructor Destroy; override;
  published
    property Caption : string read FCaption write FCaption;
    property Bitmap16 : tBitmap read FBitmap16 write FBitmap16;
    property Bitmap32 : tBitmap read FBitmap32 write FBitmap32;
    property OnClick : tNotifyEvent read FOnClick write FOnClick;
  end;


  {*********** tTbButton ************}
  {change this if you want to change button of toolbars}
{  tTbButton = tSpeedButton;}
{  tTbButton = tBitBtn;}
  tTbButton = tExplorerButton;

  {*********** tTbBtnSize **********}
  tTbBtnSize = (tbBtn16, tbBtn32);


procedure InfoDebug (aStr : String);

implementation

{************************* tAboutMeProperty component *************************}
procedure TAboutMeProperty.Edit;
begin
  Application.MessageBox ('tBmToolBar component '+IdsNumVer+'.'
                         +#13#10'This component is freeware.'
                         +#13#10' 1998 BOURMAD Mehdi'
                         +#13#10'http://www.mygale.org/~bourmad'
                         +#13#10'mailto:bourmad@mygale.org',
                         'About',
                         MB_OK+ MB_ICONINFORMATION);
end;

function TAboutMeProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [paMultiSelect, paDialog, paReadOnly];
end;

function TAboutMeProperty.GetValue: string;
begin
  Result := '(about)';
end;

destructor tButtonInfo.Destroy;
begin
  if assigned(FBitmap16)
    then FBitmap16.Free;
  if assigned(FBitmap32)
    then FBitmap32.Free;
  inherited Destroy;
end;

procedure InfoDebug (aStr : String);
var
  Buf : array[0..255] of char;
begin
  StrPCopy (Buf, aStr);
  OutputDebugString (Buf);
end;

end.
